%define upstream_name    Data-MessagePack
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    (DEPRECATED)messagepack streaming deserializer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Math::BigInt) >= 1.890.0
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Module::Build::XSUtil) >= 0.190.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl-devel
%description
This module converts Perl data structures to MessagePack and vice versa.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL5LIB="$PWD:$PERL5LIB"
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Aug 23 2024 tv <tv> 1.20.0-4.mga10
+ Revision: 2089621
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.20.0-3.mga10
+ Revision: 2012282
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 1.20.0-2.mga9
+ Revision: 1875085
- Rebuild for perl-5.36

* Mon Mar 14 2022 tv <tv> 1.20.0-1.mga9
+ Revision: 1790917
- update to 1.02

* Tue Nov 02 2021 tv <tv> 1.10.0-3.mga9
+ Revision: 1753734
- rebuild for perl-5.34 b/c of:
  "lib/Data/MessagePack.c: loadable library and perl binaries are mismatched (got handshake key 0xed00080, needed 0xeb00080)"

* Sat Jul 18 2020 tv <tv> 1.10.0-2.mga8
+ Revision: 1606972
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Mar 18 2020 tv <tv> 1.10.0-1.mga8
+ Revision: 1557728
- update to 1.01

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1529006
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.0.0-9.mga8
+ Revision: 1432892
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-8.mga7
+ Revision: 1292687
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.0.0-7.mga7
+ Revision: 1249321
- Rebuild for perl 5.28
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.0.0-5.mga7
+ Revision: 1163791
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.0.0-4.mga7
+ Revision: 1148930
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 1.0.0-3.mga7
+ Revision: 1128298
- New version 1.00
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.490.0-2.mga6
+ Revision: 1024815
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.490.0-1.mga6
+ Revision: 1001790
- update to 0.49

* Fri Feb 12 2016 umeabot <umeabot> 0.480.0-8.mga6
+ Revision: 957058
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.480.0-7.mga6
+ Revision: 844784
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.480.0-6.mga6
+ Revision: 841487
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.480.0-5.mga5
+ Revision: 742747
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.480.0-4.mga5
+ Revision: 684213
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.480.0-3.mga5
+ Revision: 631048
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.480.0-2.mga4
+ Revision: 533986
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.480.0-1.mga4
+ Revision: 475970
- update to 0.48

* Mon Jun 10 2013 jquelin <jquelin> 0.470.0-1.mga4
+ Revision: 441529
- update to 0.47

* Wed May 29 2013 jquelin <jquelin> 0.460.0-3.mga4
+ Revision: 431424
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 365391
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 303461
- imported package perl-Data-MessagePack

